PNGCRUSH(1)

NAME
pngcrush - optimizes PNG (Portable Network Graphics) files

DESCRIPTION

Pngcrush is an optimizer for PNG (Portable Network Graphics) files. Its main purpose is to reduce the size of the PNG IDAT data stream by trying various compression levels and PNG filter methods. It also can be used to remove unwanted ancillary chunks, or to add certain chunks including gAMA, tRNS, and textual chunks.

USAGE
usage: pngcrush [options except for -e -d] infile.png outfile.png

    pngcrush -e ext [other options] file.png ...

    pngcrush -d dir/ [other options] file.png ...

    pngcrush -ow [other options] file.png [tempfile.png]

    pngcrush -n -v file.png ...

  options:

-bail (bail out of trial when size exceeds best size found

-blacken (zero samples underlying fully-transparent pixels)

-brute (use brute-force: try 176 different methods)

-c color_type of output file [0, 2, 4, or 6]

-check (check CRC and ADLER32 checksums)

-d directory_name/ (where output files will go)

-e extension (used for creating output filename)

-f user_filter [0-5] for specified method

-fix (salvage PNG with otherwise fatal conditions)

-force (write output even if IDAT is larger)

-g gamma (float or fixed*100000, e.g., 0.45455 or 45455)

-huffman (use only zlib strategy 2, Huffman-only)

-iccp length "Profile Name" iccp_file

-itxt b[efore_IDAT]|a[fter_IDAT] "keyword"

-keep chunk_name

-l zlib_compression_level [0-9] for specified method

-loco ("loco crush" truecolor PNGs)

-m method [1 through 177]

-max maximum_IDAT_size [default 524288L]

-mng (write a new MNG, do not crush embedded PNGs)

-n (no save; doesn't do compression or write output PNG)

-new (Use new default settings (-reduce))

-newtimestamp (Reset file modification time [default])

-nobail (do not bail out early from trial -- see "-bail")

-nocheck (do not check CRC and ADLER32 checksums)

-nofilecheck (do not check for infile.png == outfile.png)

-noforce (default; do not write output when IDAT is larger)

-nolimits (turns off limits on width, height, cache, malloc)

-noreduce (turns off all "-reduce" operations)

-noreduce_palette (turns off "-reduce_palette" operation)

-old (Use old default settings (no -reduce))

-oldtimestamp (Do not reset file modification time)

-ow (Overwrite)

-q (quiet) suppresses console output except for warnings

-reduce (do lossless color-type or bit-depth reduction)

-rem chunkname (or "alla" or "allb")

-replace_gamma gamma (float or fixed*100000) even if it is present.

-res resolution in dpi

-rle (use only zlib strategy 3, RLE-only)

-s (silent) suppresses console output including warnings

-save (keep all copy-unsafe PNG chunks)

-speed Avoid the AVG and PAETH filters, for decoding speed

-srgb [0, 1, 2, or 3]

-ster [0 or 1]

-text b[efore_IDAT]|a[fter_IDAT] "keyword" "text"

-trns_array n trns[0] trns[1] .. trns[n-1]

-trns index red green blue gray

-v (display more detailed information)

-version (display the pngcrush version)

-warn (only show warnings)

-w compression_window_size [32, 16, 8, 4, 2, 1, 512]

-z zlib_strategy [0, 1, 2, or 3] for specified method

-zmem zlib_compression_mem_level [1-9, default 9]

-zitxt b|a "keyword" "lcode" "tkey" "text"

-ztxt b[efore_IDAT]|a[fter_IDAT] "keyword" "text"

-h (help and legal notices)

-p (pause)

AUTHOR
 This manpage was written by Andreas Tille for the Debian distribution and
 can be used for any other usage of the program.